Page MenuHomePhabricator

Article deleted in 2014 appears in search suggestions on de.wp
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Go to https://de.wikipedia.org/wiki/Wikipedia:Hauptseite
  2. Type "versionsge" in the search field, wait for suggestions to appear (or just visit https://de.wikipedia.org/w/api.php?action=opensearch&search=versionsge)

-> The last entry is "Versionsgeschichte von MediaWiki", though https://de.wikipedia.org/wiki/Versionsgeschichte_von_MediaWiki has been deleted almost a year ago.

I'm not sure where this old entry comes from, but by now it should have been removed from the search index.

Event Timeline

Schnark created this task.Jan 14 2015, 8:31 AM
Schnark raised the priority of this task from to Needs Triage.
Schnark updated the task description. (Show Details)
Schnark added a subscriber: Schnark.
Aklapper renamed this task from Deleted articles appear in search suggestions to Article deleted in 2014 appears in search suggestions on de.wp.Jan 14 2015, 11:38 AM
Aklapper set Security to None.
Kronf added a subscriber: Kronf.Jan 14 2015, 2:54 PM
Se4598 added a subscriber: Se4598.Jan 15 2015, 2:28 PM
mfb added a subscriber: mfb.Jan 18 2015, 1:06 PM

The issue is not limited to this page, it also happens with the German pages Benutzer:JLKiel/Moritz Krieter (deleted March 2014), Benutzer:JLKiel/TV Petterweil (May 2014) and Benutzer:JLKiel/Kevin Herbst (May 2014) and various other pages.

All those pages were created as automatic redirects after moving the content page, I don't know if that is relevant.

hoo added a subscriber: hoo.Jan 18 2015, 1:11 PM

I also hit this bug myself. For example with: https://de.wikipedia.org/w/api.php?action=opensearch&search=https:// (which AFAIR contains pages deleted almost a year ago)

FriedhelmW triaged this task as Unbreak Now! priority.Jan 22 2015, 6:17 AM
FriedhelmW added a subscriber: FriedhelmW.
Aklapper lowered the priority of this task from Unbreak Now! to Medium.Jan 22 2015, 8:00 AM

This is not "Unbreak now" priority - see Priority levels. Lowering priority.

mfb added a comment.Mar 26 2015, 9:49 AM

See also https://phabricator.wikimedia.org/T93849 - similar bug, but with a manual redirect that still exists.

T91624 might be related.

I cannot reproduce this bug anymore. Is there an example where this behaviour is still identifiable?

Restricted Application added a project: Discovery. · View Herald TranscriptOct 7 2015, 4:50 PM
Aklapper changed the task status from Open to Stalled.Oct 7 2015, 7:00 PM

I cannot reproduce this bug anymore. Is there an example where this behaviour is still identifiable?

Setting task status to stalled. Please revert (via "Action > Change Status") when providing the request information.

Deskana closed this task as Resolved.Oct 27 2015, 10:24 AM
Deskana claimed this task.
Deskana added a subscriber: Deskana.

No longer occurring, so I am assuming this is resolved.